Index: serefpolicy-contrib-20140730/jetty.if
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/jetty.if
@@ -0,0 +1,268 @@
+
+## <summary>policy for jetty</summary>
+
+########################################
+## <summary>
+##	Search jetty cache directories.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`jetty_search_cache',`
+	gen_require(`
+		type jetty_cache_t;
+	')
+
+	allow $1 jetty_cache_t:dir search_dir_perms;
+	files_search_var($1)
+')
+
+########################################
+## <summary>
+##	Read jetty cache files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`jetty_read_cache_files',`
+	gen_require(`
+		type jetty_cache_t;
+	')
+
+	files_search_var($1)
+	read_files_pattern($1, jetty_cache_t, jetty_cache_t)
+')
+
+########################################
+## <summary>
+##	Create, read, write, and delete
+##	jetty cache files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`jetty_manage_cache_files',`
+	gen_require(`
+		type jetty_cache_t;
+	')
+
+	files_search_var($1)
+	manage_files_pattern($1, jetty_cache_t, jetty_cache_t)
+')
+
+########################################
+## <summary>
+##	Manage jetty cache dirs.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`jetty_manage_cache_dirs',`
+	gen_require(`
+		type jetty_cache_t;
+	')
+
+	files_search_var($1)
+	manage_dirs_pattern($1, jetty_cache_t, jetty_cache_t)
+')
+
+########################################
+## <summary>
+##	Read jetty's log files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+## <rolecap/>
+#
+interface(`jetty_read_log',`
+	gen_require(`
+		type jetty_log_t;
+	')
+
+	logging_search_logs($1)
+	read_files_pattern($1, jetty_log_t, jetty_log_t)
+')
+
+########################################
+## <summary>
+##	Append to jetty log files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`jetty_append_log',`
+	gen_require(`
+		type jetty_log_t;
+	')
+
+	logging_search_logs($1)
+	append_files_pattern($1, jetty_log_t, jetty_log_t)
+')
+
+########################################
+## <summary>
+##	Manage jetty log files
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`jetty_manage_log',`
+	gen_require(`
+		type jetty_log_t;
+	')
+
+	logging_search_logs($1)
+	manage_dirs_pattern($1, jetty_log_t, jetty_log_t)
+	manage_files_pattern($1, jetty_log_t, jetty_log_t)
+	manage_lnk_files_pattern($1, jetty_log_t, jetty_log_t)
+')
+
+########################################
+## <summary>
+##	Search jetty lib directories.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`jetty_search_lib',`
+	gen_require(`
+		type jetty_var_lib_t;
+	')
+
+	allow $1 jetty_var_lib_t:dir search_dir_perms;
+	files_search_var_lib($1)
+')
+
+########################################
+## <summary>
+##	Read jetty lib files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`jetty_read_lib_files',`
+	gen_require(`
+		type jetty_var_lib_t;
+	')
+
+	files_search_var_lib($1)
+	read_files_pattern($1, jetty_var_lib_t, jetty_var_lib_t)
+')
+
+########################################
+## <summary>
+##	Manage jetty lib files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`jetty_manage_lib_files',`
+	gen_require(`
+		type jetty_var_lib_t;
+	')
+
+	files_search_var_lib($1)
+	manage_files_pattern($1, jetty_var_lib_t, jetty_var_lib_t)
+')
+
+########################################
+## <summary>
+##	Manage jetty lib directories.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`jetty_manage_lib_dirs',`
+	gen_require(`
+		type jetty_var_lib_t;
+	')
+
+	files_search_var_lib($1)
+	manage_dirs_pattern($1, jetty_var_lib_t, jetty_var_lib_t)
+')
+
+########################################
+## <summary>
+##	Read jetty PID files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`jetty_read_pid_files',`
+	gen_require(`
+		type jetty_var_run_t;
+	')
+
+	files_search_pids($1)
+	allow $1 jetty_var_run_t:file read_file_perms;
+')
+
+
+########################################
+## <summary>
+##	All of the rules required to administrate
+##	an jetty environment
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+## <rolecap/>
+#
+interface(`jetty_admin',`
+	gen_require(`
+		type jetty_cache_t;
+		type jetty_log_t;
+		type jetty_var_lib_t;
+		type jetty_var_run_t;
+	')
+
+	files_search_var($1)
+	admin_pattern($1, jetty_cache_t)
+
+	logging_search_logs($1)
+	admin_pattern($1, jetty_log_t)
+
+	files_search_var_lib($1)
+	admin_pattern($1, jetty_var_lib_t)
+
+	files_search_pids($1)
+	admin_pattern($1, jetty_var_run_t)
+')
Index: serefpolicy-contrib-20140730/jetty.te
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/jetty.te
@@ -0,0 +1,25 @@
+policy_module(jetty, 1.0.0)
+
+########################################
+#
+# Declarations
+#
+
+type jetty_cache_t;
+files_type(jetty_cache_t)
+
+type jetty_log_t;
+logging_log_file(jetty_log_t)
+
+type jetty_var_lib_t;
+files_type(jetty_var_lib_t)
+
+type jetty_var_run_t;
+files_pid_file(jetty_var_run_t)
+
+########################################
+#
+# jetty local policy
+#
+
+# No local policy. This module just contains type definitions
Index: serefpolicy-contrib-20140730/jockey.if
===================================================================
--- serefpolicy-contrib-20140730.orig/jockey.if
+++ serefpolicy-contrib-20140730/jockey.if
@@ -1 +1,131 @@
-## <summary>Jockey driver manager.</summary>
+
+## <summary>policy for jockey</summary>
+
+########################################
+## <summary>
+##	Transition to jockey.
+## </summary>
+## <param name="domain">
+## <summary>
+##	Domain allowed to transition.
+## </summary>
+## </param>
+#
+interface(`jockey_domtrans',`
+	gen_require(`
+		type jockey_t, jockey_exec_t;
+	')
+
+	corecmd_search_bin($1)
+	domtrans_pattern($1, jockey_exec_t, jockey_t)
+')
+
+########################################
+## <summary>
+##	Search jockey cache directories.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`jockey_search_cache',`
+	gen_require(`
+		type jockey_cache_t;
+	')
+
+	allow $1 jockey_cache_t:dir search_dir_perms;
+	files_search_var($1)
+')
+
+########################################
+## <summary>
+##	Read jockey cache files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`jockey_read_cache_files',`
+	gen_require(`
+		type jockey_cache_t;
+	')
+
+	files_search_var($1)
+	read_files_pattern($1, jockey_cache_t, jockey_cache_t)
+')
+
+########################################
+## <summary>
+##	Create, read, write, and delete
+##	jockey cache files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`jockey_manage_cache_files',`
+	gen_require(`
+		type jockey_cache_t;
+	')
+
+	files_search_var($1)
+	manage_files_pattern($1, jockey_cache_t, jockey_cache_t)
+')
+
+########################################
+## <summary>
+##	Manage jockey cache dirs.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`jockey_manage_cache_dirs',`
+	gen_require(`
+		type jockey_cache_t;
+	')
+
+	files_search_var($1)
+	manage_dirs_pattern($1, jockey_cache_t, jockey_cache_t)
+')
+
+########################################
+## <summary>
+##	All of the rules required to administrate
+##	an jockey environment
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`jockey_admin',`
+	gen_require(`
+		type jockey_t;
+		type jockey_cache_t;
+		type jockey_var_log_t;
+	')
+
+	allow $1 jockey_t:process { ptrace signal_perms };
+	ps_process_pattern($1, jockey_t)
+
+	files_search_var($1)
+	admin_pattern($1, jockey_cache_t)
+
+	logging_search_logs($1)
+	admin_pattern($1, jockey_var_log_t)
+
+	optional_policy(`
+		systemd_passwd_agent_exec($1)
+		systemd_read_fifo_file_passwd_run($1)
+	')
+')
Index: serefpolicy-contrib-20140730/jockey.te
===================================================================
--- serefpolicy-contrib-20140730.orig/jockey.te
+++ serefpolicy-contrib-20140730/jockey.te
@@ -44,16 +44,19 @@ dev_read_urand(jockey_t)
 
 domain_use_interactive_fds(jockey_t)
 
-files_read_etc_files(jockey_t)
-files_read_usr_files(jockey_t)
 
-miscfiles_read_localization(jockey_t)
+auth_read_passwd(jockey_t)
 
 optional_policy(`
 	dbus_system_domain(jockey_t, jockey_exec_t)
 ')
 
 optional_policy(`
+	gnome_dontaudit_search_config(jockey_t)
+')
+
+optional_policy(`
 	modutils_domtrans_insmod(jockey_t)
 	modutils_read_module_config(jockey_t)
+	modutils_list_module_config(jockey_t)
 ')
Index: serefpolicy-contrib-20140730/journalctl.fc
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/journalctl.fc
@@ -0,0 +1 @@
+/usr/bin/journalctl		--	gen_context(system_u:object_r:journalctl_exec_t,s0)
Index: serefpolicy-contrib-20140730/journalctl.if
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/journalctl.if
@@ -0,0 +1,76 @@
+
+## <summary>policy for journalctl</summary>
+
+########################################
+## <summary>
+##	Execute TEMPLATE in the journalctl domin.
+## </summary>
+## <param name="domain">
+## <summary>
+##	Domain allowed to transition.
+## </summary>
+## </param>
+#
+interface(`journalctl_domtrans',`
+	gen_require(`
+		type journalctl_t, journalctl_exec_t;
+	')
+
+	corecmd_search_bin($1)
+	domtrans_pattern($1, journalctl_exec_t, journalctl_t)
+')
+
+########################################
+## <summary>
+##	Execute journalctl in the journalctl domain, and
+##	allow the specified role the journalctl domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed to transition
+##	</summary>
+## </param>
+## <param name="role">
+##	<summary>
+##	The role to be allowed the journalctl domain.
+##	</summary>
+## </param>
+#
+interface(`journalctl_run',`
+	gen_require(`
+		type journalctl_t;
+		attribute_role journalctl_roles;
+	')
+
+	journalctl_domtrans($1)
+	roleattribute $2 journalctl_roles;
+')
+
+########################################
+## <summary>
+##	Role access for journalctl
+## </summary>
+## <param name="role">
+##	<summary>
+##	Role allowed access
+##	</summary>
+## </param>
+## <param name="domain">
+##	<summary>
+##	User domain for the role
+##	</summary>
+## </param>
+#
+interface(`journalctl_role',`
+	gen_require(`
+		type journalctl_t;
+		attribute_role journalctl_roles;
+	')
+
+	roleattribute $1 journalctl_roles;
+
+	journalctl_domtrans($2)
+
+	ps_process_pattern($2, journalctl_t)
+	allow $2 journalctl_t:process { signull signal sigkill };
+')
Index: serefpolicy-contrib-20140730/journalctl.te
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/journalctl.te
@@ -0,0 +1,46 @@
+policy_module(journalctl, 1.0.0)
+
+########################################
+#
+# Declarations
+#
+
+attribute_role journalctl_roles;
+roleattribute system_r journalctl_roles;
+
+type journalctl_t;
+type journalctl_exec_t;
+application_domain(journalctl_t, journalctl_exec_t)
+
+role journalctl_roles types journalctl_t;
+
+########################################
+#
+# journalctl local policy
+#
+allow journalctl_t self:process { fork signal_perms };
+
+allow journalctl_t self:fifo_file manage_fifo_file_perms;
+allow journalctl_t self:unix_stream_socket create_stream_socket_perms;
+
+kernel_read_system_state(journalctl_t)
+
+corecmd_exec_bin(journalctl_t)
+
+domain_use_interactive_fds(journalctl_t)
+
+files_read_etc_files(journalctl_t)
+
+fs_getattr_all_fs(journalctl_t)
+
+auth_use_nsswitch(journalctl_t)
+
+miscfiles_read_localization(journalctl_t)
+
+logging_read_generic_logs(journalctl_t)
+
+userdom_list_user_home_dirs(journalctl_t)
+userdom_read_user_home_content_files(journalctl_t)
+userdom_use_inherited_user_ptys(journalctl_t)
+userdom_rw_inherited_user_tmp_files(journalctl_t)
+userdom_rw_inherited_user_home_content_files(journalctl_t)
Index: serefpolicy-contrib-20140730/kde.fc
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/kde.fc
@@ -0,0 +1 @@
+#/usr/libexec/kde(3|4)/backlighthelper	--	gen_context(system_u:object_r:kdebacklighthelper_exec_t,s0)
Index: serefpolicy-contrib-20140730/kde.if
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/kde.if
@@ -0,0 +1,22 @@
+## <summary> Policy for KDE components </summary>
+
+#######################################
+## <summary>
+##      Send and receive messages from
+##      firewallgui over dbus.
+## </summary>
+## <param name="domain">
+##      <summary>
+##      Domain allowed access.
+##      </summary>
+## </param>
+#
+interface(`kde_dbus_chat_backlighthelper',`
+        gen_require(`
+                type kdebacklighthelper_t;
+                class dbus send_msg;
+        ')
+
+	allow $1 kdebacklighthelper_t:dbus send_msg;
+        allow kdebacklighthelper_t $1:dbus send_msg;
+')
Index: serefpolicy-contrib-20140730/kde.te
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/kde.te
@@ -0,0 +1,41 @@
+policy_module(kde,1.0.0)
+
+########################################
+#
+# Declarations
+#
+
+type kdebacklighthelper_t;
+type kdebacklighthelper_exec_t;
+init_daemon_domain(kdebacklighthelper_t, kdebacklighthelper_exec_t)
+
+########################################
+#
+# backlighthelper local policy
+#
+
+allow kdebacklighthelper_t self:fifo_file rw_fifo_file_perms;
+
+kernel_read_system_state(kdebacklighthelper_t)
+
+# r/w brightness values
+dev_rw_sysfs(kdebacklighthelper_t)
+
+files_read_etc_runtime_files(kdebacklighthelper_t)
+
+fs_getattr_all_fs(kdebacklighthelper_t)
+
+logging_send_syslog_msg(kdebacklighthelper_t)
+
+optional_policy(`
+	dbus_system_domain(kdebacklighthelper_t, kdebacklighthelper_exec_t)
+')
+
+optional_policy(`
+	consolekit_dbus_chat(kdebacklighthelper_t)
+')
+
+optional_policy(`
+	policykit_dbus_chat(kdebacklighthelper_t)
+')
+
Index: serefpolicy-contrib-20140730/kdump.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/kdump.fc
+++ serefpolicy-contrib-20140730/kdump.fc
@@ -1,13 +1,16 @@
 /etc/kdump\.conf	--	gen_context(system_u:object_r:kdump_etc_t,s0)
+/etc/rc\.d/init\.d/kdump --	gen_context(system_u:object_r:kdump_initrc_exec_t,s0)
 
-/etc/rc\.d/init\.d/kdump	--	gen_context(system_u:object_r:kdump_initrc_exec_t,s0)
+/sbin/kdump		--	gen_context(system_u:object_r:kdump_exec_t,s0)
+/sbin/kexec		--	gen_context(system_u:object_r:kdump_exec_t,s0)
 
-/bin/kdumpctl	--	gen_context(system_u:object_r:kdumpctl_exec_t,s0)
 
-/usr/bin/kdumpctl	--	gen_context(system_u:object_r:kdumpctl_exec_t,s0)
+/usr/lib/systemd/system/kdump\.service           --      gen_context(system_u:object_r:kdump_unit_file_t,s0)
 
-/sbin/kdump	--	gen_context(system_u:object_r:kdump_exec_t,s0)
-/sbin/kexec	--	gen_context(system_u:object_r:kdump_exec_t,s0)
+/usr/bin/kdumpctl               --      gen_context(system_u:object_r:kdumpctl_exec_t,s0)
+/usr/sbin/kdump		--	gen_context(system_u:object_r:kdump_exec_t,s0)
+/usr/sbin/kexec		--	gen_context(system_u:object_r:kdump_exec_t,s0)
 
-/usr/sbin/kdump	--	gen_context(system_u:object_r:kdump_exec_t,s0)
-/usr/sbin/kexec	--	gen_context(system_u:object_r:kdump_exec_t,s0)
+/var/crash(/.*)?		gen_context(system_u:object_r:kdump_crash_t,s0)
+
+/var/lock/kdump(/.*)?   gen_context(system_u:object_r:kdump_lock_t,s0)
Index: serefpolicy-contrib-20140730/kdumpgui.if
===================================================================
--- serefpolicy-contrib-20140730.orig/kdumpgui.if
+++ serefpolicy-contrib-20140730/kdumpgui.if
@@ -1 +1,23 @@
-## <summary>System-config-kdump GUI.</summary>
+## <summary>system-config-kdump GUI</summary>
+
+########################################
+## <summary>
+##	Send and receive messages from
+##	kdumpgui over dbus.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`kdumpgui_dbus_chat',`
+	gen_require(`
+		type kdumpgui_t;
+		class dbus send_msg;
+	')
+
+	allow $1 kdumpgui_t:dbus send_msg;
+	allow kdumpgui_t $1:dbus send_msg;
+')
+
Index: serefpolicy-contrib-20140730/kdumpgui.te
===================================================================
--- serefpolicy-contrib-20140730.orig/kdumpgui.te
+++ serefpolicy-contrib-20140730/kdumpgui.te
@@ -5,79 +5,88 @@ policy_module(kdumpgui, 1.2.0)
 # Declarations
 #
 
+## <desc>
+## <p>
+## Allow s-c-kdump to run bootloader in bootloader_t.
+## </p>
+## </desc>
+gen_tunable(kdumpgui_run_bootloader, false)
+
 type kdumpgui_t;
 type kdumpgui_exec_t;
-init_system_domain(kdumpgui_t, kdumpgui_exec_t)
+init_daemon_domain(kdumpgui_t, kdumpgui_exec_t)
 
 type kdumpgui_tmp_t;
 files_tmp_file(kdumpgui_tmp_t)
 
 ######################################
 #
-# Local policy
+# system-config-kdump local policy
 #
 
 allow kdumpgui_t self:capability { net_admin sys_admin sys_nice sys_rawio };
-allow kdumpgui_t self:process { setsched sigkill };
 allow kdumpgui_t self:fifo_file rw_fifo_file_perms;
 allow kdumpgui_t self:netlink_kobject_uevent_socket create_socket_perms;
+allow kdumpgui_t self:process { setsched sigkill };
 
 manage_dirs_pattern(kdumpgui_t, kdumpgui_tmp_t, kdumpgui_tmp_t)
 manage_files_pattern(kdumpgui_t, kdumpgui_tmp_t, kdumpgui_tmp_t)
 files_tmp_filetrans(kdumpgui_t, kdumpgui_tmp_t, { dir file })
 
-kernel_getattr_core_if(kdumpgui_t)
 kernel_read_system_state(kdumpgui_t)
 kernel_read_network_state(kdumpgui_t)
+kernel_getattr_core_if(kdumpgui_t)
 
 corecmd_exec_bin(kdumpgui_t)
 corecmd_exec_shell(kdumpgui_t)
 
-dev_getattr_all_blk_files(kdumpgui_t)
 dev_dontaudit_getattr_all_chr_files(kdumpgui_t)
 dev_read_sysfs(kdumpgui_t)
+dev_read_urand(kdumpgui_t)
+dev_getattr_all_blk_files(kdumpgui_t)
 
 files_manage_boot_files(kdumpgui_t)
 files_manage_boot_symlinks(kdumpgui_t)
+# Needed for running chkconfig
 files_manage_etc_symlinks(kdumpgui_t)
+# for blkid.tab
 files_manage_etc_runtime_files(kdumpgui_t)
 files_etc_filetrans_etc_runtime(kdumpgui_t, file)
-files_read_usr_files(kdumpgui_t)
 
+fs_manage_dos_files(kdumpgui_t)
 fs_getattr_all_fs(kdumpgui_t)
 fs_list_hugetlbfs(kdumpgui_t)
-fs_read_dos_files(kdumpgui_t)
 
 storage_raw_read_fixed_disk(kdumpgui_t)
 storage_raw_write_fixed_disk(kdumpgui_t)
+storage_getattr_removable_dev(kdumpgui_t)
 
 auth_use_nsswitch(kdumpgui_t)
 
+logging_send_syslog_msg(kdumpgui_t)
 logging_list_logs(kdumpgui_t)
 logging_read_generic_logs(kdumpgui_t)
-logging_send_syslog_msg(kdumpgui_t)
-
-miscfiles_read_localization(kdumpgui_t)
 
 mount_exec(kdumpgui_t)
 
 init_dontaudit_read_all_script_files(kdumpgui_t)
+init_access_check(kdumpgui_t)
 
-optional_policy(`
-	bootloader_exec(kdumpgui_t)
-	bootloader_rw_config(kdumpgui_t)
-')
+userdom_dontaudit_search_admin_dir(kdumpgui_t)
 
 optional_policy(`
-	consoletype_exec(kdumpgui_t)
+    tunable_policy(`kdumpgui_run_bootloader',`
+        bootloader_domtrans(kdumpgui_t)
+        #if s-c-kdump is involved
+        bootloader_manage_config(kdumpgui_t)
+    ',`
+        bootloader_exec(kdumpgui_t)
+        bootloader_manage_config(kdumpgui_t)
+    ')
 ')
 
 optional_policy(`
 	dbus_system_domain(kdumpgui_t, kdumpgui_exec_t)
-
-	optional_policy(`
-		policykit_dbus_chat(kdumpgui_t)
-	')
 ')
 
 optional_policy(`
@@ -87,4 +96,10 @@ optional_policy(`
 optional_policy(`
 	kdump_manage_config(kdumpgui_t)
 	kdump_initrc_domtrans(kdumpgui_t)
+	kdump_systemctl(kdumpgui_t)
+	kdumpctl_domtrans(kdumpgui_t)
+')
+
+optional_policy(`
+	policykit_dbus_chat(kdumpgui_t)
 ')
Index: serefpolicy-contrib-20140730/kdump.if
===================================================================
--- serefpolicy-contrib-20140730.orig/kdump.if
+++ serefpolicy-contrib-20140730/kdump.if
@@ -1,4 +1,4 @@
-## <summary>Kernel crash dumping mechanism.</summary>
+## <summary>Kernel crash dumping mechanism</summary>
 
 ######################################
 ## <summary>
@@ -19,6 +19,26 @@ interface(`kdump_domtrans',`
 	domtrans_pattern($1, kdump_exec_t, kdump_t)
 ')
 
+######################################
+## <summary>
+##	Execute kdumpctl in the kdumpctl domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed to transition.
+##	</summary>
+## </param>
+#
+interface(`kdumpctl_domtrans',`
+	gen_require(`
+		type kdumpctl_t, kdumpctl_exec_t;
+	')
+
+	corecmd_search_bin($1)
+	domtrans_pattern($1, kdumpctl_exec_t, kdumpctl_t)
+')
+
+
 #######################################
 ## <summary>
 ##	Execute kdump in the kdump domain.
@@ -37,9 +57,33 @@ interface(`kdump_initrc_domtrans',`
 	init_labeled_script_domtrans($1, kdump_initrc_exec_t)
 ')
 
+########################################
+## <summary>
+##	Execute kdump server in the kdump domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed to transition.
+##	</summary>
+## </param>
+#
+interface(`kdump_systemctl',`
+	gen_require(`
+		type kdump_unit_file_t;
+		type kdump_t;
+	')
+
+	systemd_exec_systemctl($1)
+	systemd_search_unit_dirs($1)
+	allow $1 kdump_unit_file_t:file read_file_perms;
+	allow $1 kdump_unit_file_t:service all_service_perms;
+
+	ps_process_pattern($1, kdump_t)
+')
+
 #####################################
 ## <summary>
-##	Read kdump configuration files.
+##	Read kdump configuration file.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -56,10 +100,67 @@ interface(`kdump_read_config',`
 	allow $1 kdump_etc_t:file read_file_perms;
 ')
 
+#####################################
+## <summary>
+##	Read kdump crash files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`kdump_read_crash',`
+	gen_require(`
+		type kdump_crash_t;
+	')
+
+	files_search_var($1)
+	read_files_pattern($1, kdump_crash_t, kdump_crash_t)
+	list_dirs_pattern($1, kdump_crash_t, kdump_crash_t)
+')
+
+#####################################
+## <summary>
+##	Read kdump crash files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`kdump_manage_crash',`
+	gen_require(`
+		type kdump_crash_t;
+	')
+
+	files_search_var($1)
+	manage_files_pattern($1, kdump_crash_t, kdump_crash_t)
+	list_dirs_pattern($1, kdump_crash_t, kdump_crash_t)
+')
+
+#####################################
+## <summary>
+##	Dontaudit read kdump configuration file.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain to not audit.
+##	</summary>
+## </param>
+#
+interface(`kdump_dontaudit_read_config',`
+	gen_require(`
+		type kdump_etc_t;
+	')
+
+	dontaudit $1 kdump_etc_t:file read_inherited_file_perms;
+')
+
 ####################################
 ## <summary>
-##	Create, read, write, and delete
-##	kdmup configuration files.
+##	Manage kdump configuration file.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -76,10 +177,69 @@ interface(`kdump_manage_config',`
 	allow $1 kdump_etc_t:file manage_file_perms;
 ')
 
+#####################################
+## <summary>
+##	Read and write kdump lock files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`kdump_rw_lock',`
+	gen_require(`
+		type kdump_lock_t;
+	')
+
+	files_search_locks($1)
+    rw_files_pattern($1, kdump_lock_t, kdump_lock_t)
+')
+
+###################################
+## <summary>
+##      Manage kdump /var/tmp files.
+## </summary>
+## <param name="domain">
+##      <summary>
+##      Domain allowed access.
+##      </summary>
+## </param>
+#
+interface(`kdump_manage_kdumpctl_tmp_files',`
+        gen_require(`
+                type kdumpctl_tmp_t;
+        ')
+
+        files_search_tmp($1)
+        manage_files_pattern($1, kdumpctl_tmp_t, kdumpctl_tmp_t)
+	manage_dirs_pattern($1, kdumpctl_tmp_t, kdumpctl_tmp_t)
+	manage_fifo_files_pattern($1, kdumpctl_tmp_t, kdumpctl_tmp_t)
+	manage_lnk_files_pattern($1, kdumpctl_tmp_t, kdumpctl_tmp_t)
+')
+
+#######################################
+## <summary>
+##  Transition content labels to kdump named content
+## </summary>
+## <param name="domain">
+##  <summary>
+##      Domain allowed access.
+##  </summary>
+## </param>
+#
+interface(`kdump_filetrans_named_content',`
+    gen_require(`
+        type kdump_lock_t;
+    ')
+
+    files_lock_filetrans($1, kdump_lock_t, file, "kdump")
+')
+
 ######################################
 ## <summary>
-##	All of the rules required to
-##	administrate an kdump environment.
+##	All of the rules required to administrate 
+##	an kdump environment
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -88,19 +248,24 @@ interface(`kdump_manage_config',`
 ## </param>
 ## <param name="role">
 ##	<summary>
-##	Role allowed access.
+##	The role to be allowed to manage the kdump domain.
 ##	</summary>
 ## </param>
 ## <rolecap/>
 #
 interface(`kdump_admin',`
 	gen_require(`
-		type kdump_t, kdump_etc_t, kdumpctl_tmp_t;
-		type kdump_initrc_exec_t, kdumpctl_t;
+		type kdump_t, kdump_etc_t;
+		type kdump_initrc_exec_t;
+		type kdump_unit_file_t;
+		type kdump_crash_t;
 	')
 
-	allow $1 { kdump_t kdumpctl_t }:process { ptrace signal_perms };
-	ps_process_pattern($1, { kdump_t kdumpctl_t })
+	allow $1 kdump_t:process signal_perms;
+	ps_process_pattern($1, kdump_t)
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 kdump_t:process ptrace;
+	')
 
 	init_labeled_script_domtrans($1, kdump_initrc_exec_t)
 	domain_system_change_exemption($1)
@@ -110,6 +275,10 @@ interface(`kdump_admin',`
 	files_search_etc($1)
 	admin_pattern($1, kdump_etc_t)
 
-	files_search_tmp($1)
-	admin_pattern($1, kdumpctl_tmp_t)
+	files_search_var($1)
+	admin_pattern($1, kdump_crash_t)
+
+	kdump_systemctl($1)
+	admin_pattern($1, kdump_unit_file_t)
+	allow $1 kdump_unit_file_t:service all_service_perms;
 ')
